using System;
using System.Collections.Generic;
using System.Text;

namespace InfoQ.AspectsOfDMM.Version3
{
    public class DirtyInterceptor
    {
        public void OnPropertySet(object obj, object oldValue, object newValue)
        {
            if (!oldValue.Equals(newValue))
            {
                IDirty dirty = obj as IDirty;
                if (dirty != null)
                    dirty.Dirty = true;
            }
        }
    }
}
