using System;
using System.Collections.Generic;
using System.Text;
using InfoQ.AspectsOfDMM.Attributes;

namespace InfoQ.AspectsOfDMM.Version4.Domain
{
    [Dirty]
    [Lazy]
    public class Employee : Person
    {
        protected decimal salary;
        public virtual decimal Salary
        {
            [Lazy]
            get { return salary; }
            [Dirty]
            [Lazy]
            set { salary = value; }
        }

        public override string Name
        {
            [Lazy]
            get { return name; }
            [Dirty]
            [Lazy]
            set { name = value; }
        }
    }
}
