using System;
using System.Collections.Generic;
using System.Text;
using InfoQ.AspectsOfDMM.Domain;

namespace InfoQ.AspectsOfDMM.Version3
{
    public class PersonProxy : Person
    {
        private DirtyInterceptor dirtyInterceptor = new DirtyInterceptor(); 

        public override string Name
        {
            get { return base.Name; }
            set
            {
                dirtyInterceptor.OnPropertySet(this, this.name, value);
                base.Name = value;
            }
        }
    }
}
