using System;
using System.Collections.Generic;
using System.Text;
using Puzzle.NAspect.Framework;

namespace InfoQ.AspectsOfDMM.Version4
{
    public class Factory
    {
        public static IEngine engine = ApplicationContext.Configure();

        public static Domain.Person CreatePerson()
        {
            return engine.CreateProxy<Domain.Person>();
        }

        public static Domain.Employee CreateEmployee()
        {
            return engine.CreateProxy<Domain.Employee>();
        }
    }
}
